summaryrefslogtreecommitdiffabout
authorMichael Krelin <hacker@klever.net>2009-11-14 23:05:49 (UTC)
committer Michael Krelin <hacker@klever.net>2009-11-14 23:05:49 (UTC)
commitc357782c1c6d8a9f532b1c546b2adff512cde522 (patch) (side-by-side diff)
tree00ad84b3cae83ab01c83f7bb11d564b8ae22df2f
parentd9a6e6cf6251b83e10f60904c24b081403f93006 (diff)
downloadkingate-c357782c1c6d8a9f532b1c546b2adff512cde522.zip
kingate-c357782c1c6d8a9f532b1c546b2adff512cde522.tar.gz
kingate-c357782c1c6d8a9f532b1c546b2adff512cde522.tar.bz2
autogen.sh improvements
- take into account ${ACLOCAL_FLAGS} and ${CONFIGURE_FLAGS} - source in autogen.local for setting them up -try to detect {g,}libtoolize Signed-off-by: Michael Krelin <hacker@klever.net>
Diffstat (more/less context) (ignore whitespace changes)
-rwxr-xr-xautogen.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index ba27501..9a3c9e5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,9 +1,12 @@
#!/bin/sh
-WANT_AUTOMAKE=1.8
-export WANT_AUTOMAKE
-libtoolize -f \
-&& aclocal \
+test -r autogen.local && source autogen.local
+test -z "$tool_libtoolize" && tool_libtoolize="$(type -P glibtoolize || type -P libtoolize)"
+if test -z "$tool_libtoolize" ; then
+ echo "Failed to find libtoolize." ; exit 1;
+fi
+ "$tool_libtoolize" -f \
+&& aclocal ${ACLOCAL_FLAGS} \
&& autoheader \
&& automake -a \
&& autoconf \
-&& ./configure "$@"
+&& ./configure ${CONFIGURE_FLAGS} "$@"